org.eclnt.jsfserver.elements.componentnodes

## Class HTJSCALLNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTJSCALLNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTJSCALLNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTJSCALLNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTJSCALLNode` | `bindActionListener(IActionListenerDelegation value)`
    `HTJSCALLNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTJSCALLNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTJSCALLNode` | `bindJscode(IDynamicContentBindingObject value)`
    `HTJSCALLNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTJSCALLNode` | `bindResulttext(IDynamicContentBindingObject value)`
    `HTJSCALLNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTJSCALLNode` | `setActionListener(java.lang.String value)`
    `HTJSCALLNode` | `setAttributemacro(java.lang.String value)`
    `HTJSCALLNode` | `setComment(java.lang.String value)`
    `HTJSCALLNode` | `setConfiginfo(java.lang.String value)`
    `HTJSCALLNode` | `setId(java.lang.String value)`
    `HTJSCALLNode` | `setJscode(java.lang.String value)`
    `HTJSCALLNode` | `setReference(java.lang.String value)`
    `HTJSCALLNode` | `setRendered(boolean value)`
    `HTJSCALLNode` | `setRendered(java.lang.String value)`
    `HTJSCALLNode` | `setResulttext(java.lang.String value)`
    `HTJSCALLNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTJSCALLNode

          public HTJSCALLNode()

  - ### Method Detail

    - #### setId

          public HTJSCALLNode setId(java.lang.String value)

    - #### setActionListener

          public HTJSCALLNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public HTJSCALLNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public HTJSCALLNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTJSCALLNode setComment(java.lang.String value)

    - #### bindComment

          public HTJSCALLNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTJSCALLNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTJSCALLNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setJscode

          public HTJSCALLNode setJscode(java.lang.String value)

    - #### bindJscode

          public HTJSCALLNode bindJscode(IDynamicContentBindingObject value)

    - #### setReference

          public HTJSCALLNode setReference(java.lang.String value)

    - #### setRendered

          public HTJSCALLNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTJSCALLNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTJSCALLNode setRendered(boolean value)

    - #### setResulttext

          public HTJSCALLNode setResulttext(java.lang.String value)

    - #### bindResulttext

          public HTJSCALLNode bindResulttext(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTJSCALLNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTJSCALLNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.